<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_16</title>
</head>
<body>
    <h1>Capitulo 16</h1>
    <a>Ejercicio 8</a>

    <script>

        const numeroAfrase = (num) => {
 
            let l = num.length

            if (l == 0) {
                console.log("No se puso un numero");
                return
            }

            if (l > 4) {
                console.log("No se puede mas de 4 digitos porque el programador es muy flojo para programar los 5 digitos");
                return
            }

            let primer_dig = ["zero", "one", "two", "three",
                  "four", "five", "six", "seven",
                  "eight", "nine"]

            let segundo_dig = ["", "ten", "eleven", "twelve",
               "thirteen", "fourteen", "fifteen",
               "sixteen", "seventeen", "eighteen",
               "nineteen"]

            let decenas = ["", "", "twenty", "thirty", "forty",
                  "fifty", "sixty", "seventy", "eighty",
                  "ninety"]

            let centenas = ["hundred", "thousand"]

            console.log(num,":"," ")


            if (l == 1) {
                console.log(primer_dig[num.charCodeAt(0) - 48] + ",")
                return
            }

            let x = 0
                while (x < num.length) {

                    if (l >= 3) {
                        if (num.charCodeAt(x) - 48 != 0){
                            console.log(primer_dig[num.charCodeAt(x) - 48]," ")
                            console.log(centenas[l - 3]," ")
                        }
                        l -= 1
                    } else {
                        if (num.charCodeAt(x) - 48 == 1) {
                            sum = (num.charCodeAt(x) - 48 + num.charCodeAt(x+1) - 48)
                            console.log(segundo_dig[sum],)
                            return
                        }
                        else if (num.charCodeAt(x) - 48 == 2 && num.charCodeAt(x + 1) - 48 == 0) {
                            console.log("twenty",)
                            return
                        } else  {
                            i = num.charCodeAt(x) - 48
                            if(i > 0)
                                console.log(decenas[i], end=" ")
                            else
                                console.log("", end="")
                                x += 1
                            if(num.charCodeAt(x) - 48 != 0)
                                console.log(primer_dig[num.charCodeAt(x) - 48],)
                        }
                    }
                    x += 1
                }
        }


        numeroAfrase("5"); 
        numeroAfrase("13");
        numeroAfrase("816"); 
        numeroAfrase("2813");
        numeroAfrase("28138");   

</script>
    
</body>
</html>